#include<iostream>
using namespace std;

int main()
{
	int n,pom,sum=0,k;
	cin>>n>>k;
	int a[1000]={};

	for(int i=0;i<n;i++)
	{
		cin>>pom;
		a[pom+500]--;
		if(a[pom+500]==-k) sum++;
	}
	cout<<endl<<sum<<endl;
	for(int i=0;i<1000;i++)
	if(a[i]<=-k) cout<<i-500<<" ";
}